changeset 211:f40d18ff59eb

add test for named branches
author Abderrahim Kitouni <a.kitouni@gmail.com>
date Tue, 07 Jul 2009 10:47:26 +0100
parents 9a27c618d0ed
children 174954c187e0
files tests/test-git-push tests/test-git-push.out tests/test-hg-author tests/test-hg-author.out tests/test-hg-branch tests/test-hg-branch.out
diffstat 6 files changed, 290 insertions(+), 144 deletions(-) [+]
line wrap: on
line diff
--- a/tests/test-git-push	Sun Jul 05 16:39:28 2009 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,73 +0,0 @@
-#!/bin/sh
-
-# Fails for some reason, need to investigate
-# "$TESTDIR/hghave" git || exit 80
-
-# bail early if the user is already running git-daemon
-echo hi | nc localhost 9418 2>/dev/null && exit 80
-
-echo "[extensions]" >> $HGRCPATH
-echo "hggit=$(echo $(dirname $(dirname $0)))" >> $HGRCPATH
-echo 'hgext.graphlog =' >> $HGRCPATH
-echo 'hgext.bookmarks =' >> $HGRCPATH
-
-GIT_AUTHOR_NAME='test'; export GIT_AUTHOR_NAME
-GIT_AUTHOR_EMAIL='test@example.org'; export GIT_AUTHOR_EMAIL
-GIT_AUTHOR_DATE="2007-01-01 00:00:00 +0000"; export GIT_AUTHOR_DATE
-GIT_COMMITTER_NAME="$GIT_AUTHOR_NAME"; export GIT_COMMITTER_NAME
-GIT_COMMITTER_EMAIL="$GIT_AUTHOR_EMAIL"; export GIT_COMMITTER_EMAIL
-GIT_COMMITTER_DATE="$GIT_AUTHOR_DATE"; export GIT_COMMITTER_DATE
-
-count=10
-commit()
-{
-    GIT_AUTHOR_DATE="2007-01-01 00:00:$count +0000"
-    GIT_COMMITTER_DATE="$GIT_AUTHOR_DATE"
-    git commit "$@" >/dev/null 2>/dev/null || echo "hg commit error"
-    count=`expr $count + 1`
-}
-hgcommit()
-{
-    HGDATE="2007-01-01 00:00:$count +0000"
-    hg commit -d "$HGDATE" "$@" >/dev/null 2>/dev/null || echo "hg commit error"
-    count=`expr $count + 1`
-}
-
-mkdir gitrepo
-cd gitrepo
-git init | python -c "import sys; print sys.stdin.read().replace('$(dirname $(pwd))/', '')"
-
-echo alpha > alpha
-git add alpha
-commit -m "add alpha"
-
-# dulwich does not presently support local git repos, workaround
-cd ..
-git daemon --base-path="$(pwd)"\
- --listen=localhost\
- --export-all\
- --pid-file=gitdaemon.pid \
- --detach --reuseaddr \
- --enable=receive-pack
-
-hg clone git://localhost/gitrepo hgrepo
-
-cd hgrepo
-echo beta > beta
-hg add beta
-hgcommit -u "test" -m 'add beta'
-hg push
-
-echo gamma >> beta
-hgcommit -u "test <test@example.com> (comment)" -m 'modify beta'
-hg push
-
-hg log --graph
-
-cd ..
-hg clone git://localhost/gitrepo hgrepo2
-cd hgrepo2
-hg log --graph
-
-cd ..
-kill `cat gitdaemon.pid`
--- a/tests/test-git-push.out	Sun Jul 05 16:39:28 2009 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,71 +0,0 @@
-Initialized empty Git repository in gitrepo/.git/
-
-fetching from : git://localhost/gitrepo
-importing Hg objects into Git
-Counting objects: 3, done.
-Total 3 (delta 0), reused 0 (delta 0)
-importing Git objects into Hg
-at: 0/1
-updating working directory
-1 files updated, 0 files merged, 0 files removed, 0 files unresolved
-pushing to git://localhost/gitrepo
-fetching from : git://localhost/gitrepo
-importing Hg objects into Git
-at: 0/1
-importing Git objects into Hg
-pushing to : git://localhost/gitrepo
-creating and sending data
-    default::refs/heads/master => GIT:cffa0e8d
-pushing to git://localhost/gitrepo
-fetching from : git://localhost/gitrepo
-importing Hg objects into Git
-at: 0/1
-importing Git objects into Hg
-pushing to : git://localhost/gitrepo
-creating and sending data
-    default::refs/heads/master => GIT:2b9ec6a4
-@  changeset:   2:92d33c0dd6e1
-|  tag:         master
-|  tag:         default/master
-|  tag:         tip
-|  user:        test <test@example.com> (comment)
-|  date:        Mon Jan 01 00:00:12 2007 +0000
-|  summary:     modify beta
-|
-o  changeset:   1:0564f526fb0f
-|  user:        test
-|  date:        Mon Jan 01 00:00:11 2007 +0000
-|  summary:     add beta
-|
-o  changeset:   0:3442585be8a6
-   user:        test <test@example.org>
-   date:        Mon Jan 01 00:00:10 2007 +0000
-   summary:     add alpha
-
-fetching from : git://localhost/gitrepo
-importing Hg objects into Git
-Counting objects: 9, done.
-Compressing objects:  20% (1/5)   
Compressing objects:  40% (2/5)   
Compressing objects:  60% (3/5)   
Compressing objects:  80% (4/5)   
Compressing objects: 100% (5/5)   
Compressing objects: 100% (5/5), done.
-Total 9 (delta 0), reused 0 (delta 0)
-importing Git objects into Hg
-at: 0/3
-updating working directory
-2 files updated, 0 files merged, 0 files removed, 0 files unresolved
-@  changeset:   2:92d33c0dd6e1
-|  tag:         master
-|  tag:         default/master
-|  tag:         tip
-|  user:        test <test@example.com> (comment)
-|  date:        Mon Jan 01 00:00:12 2007 +0000
-|  summary:     modify beta
-|
-o  changeset:   1:0564f526fb0f
-|  user:        test
-|  date:        Mon Jan 01 00:00:11 2007 +0000
-|  summary:     add beta
-|
-o  changeset:   0:3442585be8a6
-   user:        test <test@example.org>
-   date:        Mon Jan 01 00:00:10 2007 +0000
-   summary:     add alpha
-
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-hg-author	Tue Jul 07 10:47:26 2009 +0100
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Fails for some reason, need to investigate
+# "$TESTDIR/hghave" git || exit 80
+
+# bail early if the user is already running git-daemon
+echo hi | nc localhost 9418 2>/dev/null && exit 80
+
+echo "[extensions]" >> $HGRCPATH
+echo "hggit=$(echo $(dirname $(dirname $0)))" >> $HGRCPATH
+echo 'hgext.graphlog =' >> $HGRCPATH
+echo 'hgext.bookmarks =' >> $HGRCPATH
+
+GIT_AUTHOR_NAME='test'; export GIT_AUTHOR_NAME
+GIT_AUTHOR_EMAIL='test@example.org'; export GIT_AUTHOR_EMAIL
+GIT_AUTHOR_DATE="2007-01-01 00:00:00 +0000"; export GIT_AUTHOR_DATE
+GIT_COMMITTER_NAME="$GIT_AUTHOR_NAME"; export GIT_COMMITTER_NAME
+GIT_COMMITTER_EMAIL="$GIT_AUTHOR_EMAIL"; export GIT_COMMITTER_EMAIL
+GIT_COMMITTER_DATE="$GIT_AUTHOR_DATE"; export GIT_COMMITTER_DATE
+
+count=10
+commit()
+{
+    GIT_AUTHOR_DATE="2007-01-01 00:00:$count +0000"
+    GIT_COMMITTER_DATE="$GIT_AUTHOR_DATE"
+    git commit "$@" >/dev/null 2>/dev/null || echo "hg commit error"
+    count=`expr $count + 1`
+}
+hgcommit()
+{
+    HGDATE="2007-01-01 00:00:$count +0000"
+    hg commit -d "$HGDATE" "$@" >/dev/null 2>/dev/null || echo "hg commit error"
+    count=`expr $count + 1`
+}
+
+mkdir gitrepo
+cd gitrepo
+git init | python -c "import sys; print sys.stdin.read().replace('$(dirname $(pwd))/', '')"
+
+echo alpha > alpha
+git add alpha
+commit -m "add alpha"
+
+# dulwich does not presently support local git repos, workaround
+cd ..
+git daemon --base-path="$(pwd)"\
+ --listen=localhost\
+ --export-all\
+ --pid-file=gitdaemon.pid \
+ --detach --reuseaddr \
+ --enable=receive-pack
+
+hg clone git://localhost/gitrepo hgrepo
+
+cd hgrepo
+echo beta > beta
+hg add beta
+hgcommit -u "test" -m 'add beta'
+hg push
+
+echo gamma >> beta
+hgcommit -u "test <test@example.com> (comment)" -m 'modify beta'
+hg push
+
+hg log --graph
+
+cd ..
+hg clone git://localhost/gitrepo hgrepo2
+cd hgrepo2
+hg log --graph
+
+cd ..
+kill `cat gitdaemon.pid`
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-hg-author.out	Tue Jul 07 10:47:26 2009 +0100
@@ -0,0 +1,71 @@
+Initialized empty Git repository in gitrepo/.git/
+
+fetching from : git://localhost/gitrepo
+importing Hg objects into Git
+Counting objects: 3, done.
+Total 3 (delta 0), reused 0 (delta 0)
+importing Git objects into Hg
+at: 0/1
+updating working directory
+1 files updated, 0 files merged, 0 files removed, 0 files unresolved
+pushing to git://localhost/gitrepo
+fetching from : git://localhost/gitrepo
+importing Hg objects into Git
+at: 0/1
+importing Git objects into Hg
+pushing to : git://localhost/gitrepo
+creating and sending data
+    default::refs/heads/master => GIT:cffa0e8d
+pushing to git://localhost/gitrepo
+fetching from : git://localhost/gitrepo
+importing Hg objects into Git
+at: 0/1
+importing Git objects into Hg
+pushing to : git://localhost/gitrepo
+creating and sending data
+    default::refs/heads/master => GIT:2b9ec6a4
+@  changeset:   2:92d33c0dd6e1
+|  tag:         master
+|  tag:         default/master
+|  tag:         tip
+|  user:        test <test@example.com> (comment)
+|  date:        Mon Jan 01 00:00:12 2007 +0000
+|  summary:     modify beta
+|
+o  changeset:   1:0564f526fb0f
+|  user:        test
+|  date:        Mon Jan 01 00:00:11 2007 +0000
+|  summary:     add beta
+|
+o  changeset:   0:3442585be8a6
+   user:        test <test@example.org>
+   date:        Mon Jan 01 00:00:10 2007 +0000
+   summary:     add alpha
+
+fetching from : git://localhost/gitrepo
+importing Hg objects into Git
+Counting objects: 9, done.
+Compressing objects:  20% (1/5)   
Compressing objects:  40% (2/5)   
Compressing objects:  60% (3/5)   
Compressing objects:  80% (4/5)   
Compressing objects: 100% (5/5)   
Compressing objects: 100% (5/5), done.
+Total 9 (delta 0), reused 0 (delta 0)
+importing Git objects into Hg
+at: 0/3
+updating working directory
+2 files updated, 0 files merged, 0 files removed, 0 files unresolved
+@  changeset:   2:92d33c0dd6e1
+|  tag:         master
+|  tag:         default/master
+|  tag:         tip
+|  user:        test <test@example.com> (comment)
+|  date:        Mon Jan 01 00:00:12 2007 +0000
+|  summary:     modify beta
+|
+o  changeset:   1:0564f526fb0f
+|  user:        test
+|  date:        Mon Jan 01 00:00:11 2007 +0000
+|  summary:     add beta
+|
+o  changeset:   0:3442585be8a6
+   user:        test <test@example.org>
+   date:        Mon Jan 01 00:00:10 2007 +0000
+   summary:     add alpha
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-hg-branch	Tue Jul 07 10:47:26 2009 +0100
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Fails for some reason, need to investigate
+# "$TESTDIR/hghave" git || exit 80
+
+# bail early if the user is already running git-daemon
+echo hi | nc localhost 9418 2>/dev/null && exit 80
+
+echo "[extensions]" >> $HGRCPATH
+echo "hggit=$(echo $(dirname $(dirname $0)))" >> $HGRCPATH
+echo 'hgext.graphlog =' >> $HGRCPATH
+echo 'hgext.bookmarks =' >> $HGRCPATH
+
+GIT_AUTHOR_NAME='test'; export GIT_AUTHOR_NAME
+GIT_AUTHOR_EMAIL='test@example.org'; export GIT_AUTHOR_EMAIL
+GIT_AUTHOR_DATE="2007-01-01 00:00:00 +0000"; export GIT_AUTHOR_DATE
+GIT_COMMITTER_NAME="$GIT_AUTHOR_NAME"; export GIT_COMMITTER_NAME
+GIT_COMMITTER_EMAIL="$GIT_AUTHOR_EMAIL"; export GIT_COMMITTER_EMAIL
+GIT_COMMITTER_DATE="$GIT_AUTHOR_DATE"; export GIT_COMMITTER_DATE
+
+count=10
+commit()
+{
+    GIT_AUTHOR_DATE="2007-01-01 00:00:$count +0000"
+    GIT_COMMITTER_DATE="$GIT_AUTHOR_DATE"
+    git commit "$@" >/dev/null 2>/dev/null || echo "hg commit error"
+    count=`expr $count + 1`
+}
+hgcommit()
+{
+    HGDATE="2007-01-01 00:00:$count +0000"
+    hg commit -d "$HGDATE" "$@" >/dev/null 2>/dev/null || echo "hg commit error"
+    count=`expr $count + 1`
+}
+
+mkdir gitrepo
+cd gitrepo
+git init | python -c "import sys; print sys.stdin.read().replace('$(dirname $(pwd))/', '')"
+
+echo alpha > alpha
+git add alpha
+commit -m "add alpha"
+
+# dulwich does not presently support local git repos, workaround
+cd ..
+git daemon --base-path="$(pwd)"\
+ --listen=localhost\
+ --export-all\
+ --pid-file=gitdaemon.pid \
+ --detach --reuseaddr \
+ --enable=receive-pack
+
+hg clone git://localhost/gitrepo hgrepo
+
+cd hgrepo
+hg mv alpha beta
+hgcommit -m 'rename alpha to beta'
+hg push
+
+hg branch gamma
+hgcommit -m 'started branch gamma'
+hg push
+
+hg log --graph
+
+cd ..
+hg clone git://localhost/gitrepo hgrepo2
+cd hgrepo2
+hg log --graph
+
+cd ..
+kill `cat gitdaemon.pid`
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-hg-branch.out	Tue Jul 07 10:47:26 2009 +0100
@@ -0,0 +1,74 @@
+Initialized empty Git repository in gitrepo/.git/
+
+fetching from : git://localhost/gitrepo
+importing Hg objects into Git
+Counting objects: 3, done.
+Total 3 (delta 0), reused 0 (delta 0)
+importing Git objects into Hg
+at: 0/1
+updating working directory
+1 files updated, 0 files merged, 0 files removed, 0 files unresolved
+pushing to git://localhost/gitrepo
+fetching from : git://localhost/gitrepo
+importing Hg objects into Git
+at: 0/1
+importing Git objects into Hg
+pushing to : git://localhost/gitrepo
+creating and sending data
+    default::refs/heads/master => GIT:05c2bcbe
+marked working directory as branch gamma
+pushing to git://localhost/gitrepo
+fetching from : git://localhost/gitrepo
+importing Hg objects into Git
+at: 0/1
+importing Git objects into Hg
+pushing to : git://localhost/gitrepo
+creating and sending data
+    default::refs/heads/master => GIT:296802ef
+@  changeset:   2:698615204564
+|  branch:      gamma
+|  tag:         master
+|  tag:         default/master
+|  tag:         tip
+|  user:        test
+|  date:        Mon Jan 01 00:00:12 2007 +0000
+|  summary:     started branch gamma
+|
+o  changeset:   1:71414c4e3c6f
+|  user:        test
+|  date:        Mon Jan 01 00:00:11 2007 +0000
+|  summary:     rename alpha to beta
+|
+o  changeset:   0:3442585be8a6
+   user:        test <test@example.org>
+   date:        Mon Jan 01 00:00:10 2007 +0000
+   summary:     add alpha
+
+fetching from : git://localhost/gitrepo
+importing Hg objects into Git
+Counting objects: 6, done.
+Compressing objects:  33% (1/3)   
Compressing objects:  66% (2/3)   
Compressing objects: 100% (3/3)   
Compressing objects: 100% (3/3), done.
+Total 6 (delta 0), reused 0 (delta 0)
+importing Git objects into Hg
+at: 0/3
+updating working directory
+1 files updated, 0 files merged, 0 files removed, 0 files unresolved
+o  changeset:   2:698615204564
+|  branch:      gamma
+|  tag:         master
+|  tag:         default/master
+|  tag:         tip
+|  user:        test
+|  date:        Mon Jan 01 00:00:12 2007 +0000
+|  summary:     started branch gamma
+|
+@  changeset:   1:71414c4e3c6f
+|  user:        test
+|  date:        Mon Jan 01 00:00:11 2007 +0000
+|  summary:     rename alpha to beta
+|
+o  changeset:   0:3442585be8a6
+   user:        test <test@example.org>
+   date:        Mon Jan 01 00:00:10 2007 +0000
+   summary:     add alpha
+